all messages for Guix-related lists mirrored at yhetil.org
 help / color / mirror / code / Atom feed
From: Mathieu Othacehe <m.othacehe@gmail.com>
To: 36477@debbugs.gnu.org
Cc: Mathieu Othacehe <m.othacehe@gmail.com>
Subject: [bug#36477] [PATCH v3 48/48] wip: tools.
Date: Mon,  2 Sep 2019 17:33:33 +0200	[thread overview]
Message-ID: <20190902153333.11190-49-m.othacehe@gmail.com> (raw)
In-Reply-To: <20190902153333.11190-1-m.othacehe@gmail.com>

---
 build-sorted-ok-ko-packages.sh          | 354 ++++++++++++++++++++++++
 deps.scm                                | 184 ++++++++++++
 gnu/system/examples/mini-beaglebone.scm |  61 ++++
 gnu/system/examples/mini.scm            |  54 ++++
 4 files changed, 653 insertions(+)
 create mode 100755 build-sorted-ok-ko-packages.sh
 create mode 100644 deps.scm
 create mode 100644 gnu/system/examples/mini-beaglebone.scm
 create mode 100644 gnu/system/examples/mini.scm

diff --git a/build-sorted-ok-ko-packages.sh b/build-sorted-ok-ko-packages.sh
new file mode 100755
index 0000000000..a2a13dcdfc
--- /dev/null
+++ b/build-sorted-ok-ko-packages.sh
@@ -0,0 +1,354 @@
+#!/bin/bash -
+
+set -o nounset                              # Treat unset variables as an error
+
+mngt_dir()
+{
+    local dirname=$1
+
+    rm -rf ${dirname}.bk
+    if [ -e $dirname ]; then
+        mv $dirname ${dirname}.bk
+    fi
+    mkdir ${dirname}
+}
+
+DEPENDENCIES_DIR="packages-dependencies"
+KO_OUT_LOG_DIR="ko-out-log-dir"
+OUT_FILE_NAME_BASE="packages-status"
+OUT_FILE_NAME_EXT="wiki"
+OUT_FILE_NAME=${OUT_FILE_NAME_BASE}.${OUT_FILE_NAME_EXT}
+
+rm -f ${OUT_FILE_NAME}.bk
+if [ -e $OUT_FILE_NAME ]; then
+    mv $OUT_FILE_NAME ${OUT_FILE_NAME}.bk
+fi
+
+mngt_dir ${DEPENDENCIES_DIR}
+mngt_dir ${KO_OUT_LOG_DIR}
+
+NB_OK=0
+NB_KO=0
+NB_UNKNOWN=0
+
+file_header()
+{
+    local title="Packages status"
+
+    echo ""
+    echo "start file $OUT_FILE_NAME"
+    echo ""
+
+    echo "" >> $OUT_FILE_NAME
+    echo "= $title =" >> $OUT_FILE_NAME
+    echo "" >> $OUT_FILE_NAME
+}
+
+section_header()
+{
+    local title=$1
+
+    echo ""
+    echo ""
+    echo "start section \"$title\""
+
+    echo "" >> $OUT_FILE_NAME
+    echo "== $title ==" >> $OUT_FILE_NAME
+    echo "" >> $OUT_FILE_NAME
+    echo "| package | status | nb dependencies |" >> $OUT_FILE_NAME
+
+    NB_OK=0
+    NB_KO=0
+    NB_UNKNOWN=0
+}
+
+section_footer()
+{
+    echo "" >> $OUT_FILE_NAME
+    echo "nb packages OK in section: $NB_OK" >> $OUT_FILE_NAME
+    echo "" >> $OUT_FILE_NAME
+    echo "nb packages *KO* in section: $NB_KO" >> $OUT_FILE_NAME
+    echo "" >> $OUT_FILE_NAME
+    echo "nb packages UNKNOWN in section: $NB_UNKNOWN" >> $OUT_FILE_NAME
+    echo "" >> $OUT_FILE_NAME
+    echo "" >> $OUT_FILE_NAME
+}
+
+add_package_status()
+{
+    local package=$1
+    local status=$2
+    local nb_deps=$3
+
+    if [ "$status" = "OK" ]; then
+        NB_OK=$(($NB_OK+1))
+    elif [ "$status" = "KO" ]; then
+        status="*KO*"
+        NB_KO=$(($NB_KO+1))
+    else
+        NB_UNKNOWN=$(($NB_UNKNOWN+1))
+    fi
+
+    echo "| $package | $status | $nb_deps |" >> $OUT_FILE_NAME
+}
+
+LIST_PACK_SUPPOSED_OK=""
+
+LIST_PACK_SUPPOSED_OK+=" xz"
+LIST_PACK_SUPPOSED_OK+=" tk"
+LIST_PACK_SUPPOSED_OK+=" m4"
+LIST_PACK_SUPPOSED_OK+=" ed"
+LIST_PACK_SUPPOSED_OK+=" bc"
+LIST_PACK_SUPPOSED_OK+=" tcl"
+LIST_PACK_SUPPOSED_OK+=" sed"
+LIST_PACK_SUPPOSED_OK+=" mpc"
+LIST_PACK_SUPPOSED_OK+=" lzo"
+LIST_PACK_SUPPOSED_OK+=" isl"
+LIST_PACK_SUPPOSED_OK+=" gss"
+LIST_PACK_SUPPOSED_OK+=" gmp"
+LIST_PACK_SUPPOSED_OK+=" bdb"
+LIST_PACK_SUPPOSED_OK+=" acl"
+LIST_PACK_SUPPOSED_OK+=" zlib"
+LIST_PACK_SUPPOSED_OK+=" sudo"
+LIST_PACK_SUPPOSED_OK+=" perl"
+LIST_PACK_SUPPOSED_OK+=" pcre"
+LIST_PACK_SUPPOSED_OK+=" mpfr"
+LIST_PACK_SUPPOSED_OK+=" make"
+LIST_PACK_SUPPOSED_OK+=" lzip"
+LIST_PACK_SUPPOSED_OK+=" gzip"
+LIST_PACK_SUPPOSED_OK+=" grep"
+LIST_PACK_SUPPOSED_OK+=" gdbm"
+LIST_PACK_SUPPOSED_OK+=" gawk"
+LIST_PACK_SUPPOSED_OK+=" fuse"
+LIST_PACK_SUPPOSED_OK+=" flex"
+LIST_PACK_SUPPOSED_OK+=" flac"
+LIST_PACK_SUPPOSED_OK+=" file"
+LIST_PACK_SUPPOSED_OK+=" fftw"
+LIST_PACK_SUPPOSED_OK+=" bash"
+LIST_PACK_SUPPOSED_OK+=" attr"
+LIST_PACK_SUPPOSED_OK+=" which"
+LIST_PACK_SUPPOSED_OK+=" unzip"
+LIST_PACK_SUPPOSED_OK+=" rhash"
+LIST_PACK_SUPPOSED_OK+=" libuv"
+LIST_PACK_SUPPOSED_OK+=" libgc"
+LIST_PACK_SUPPOSED_OK+=" libev"
+LIST_PACK_SUPPOSED_OK+=" guile"
+LIST_PACK_SUPPOSED_OK+=" groff"
+LIST_PACK_SUPPOSED_OK+=" gperf"
+LIST_PACK_SUPPOSED_OK+=" glibc"
+LIST_PACK_SUPPOSED_OK+=" expat"
+LIST_PACK_SUPPOSED_OK+=" bzip2"
+LIST_PACK_SUPPOSED_OK+=" bison"
+LIST_PACK_SUPPOSED_OK+=" xtrans"
+LIST_PACK_SUPPOSED_OK+=" tzdata"
+LIST_PACK_SUPPOSED_OK+=" sqlite"
+LIST_PACK_SUPPOSED_OK+=" shishi"
+LIST_PACK_SUPPOSED_OK+=" shadow"
+LIST_PACK_SUPPOSED_OK+=" python"
+LIST_PACK_SUPPOSED_OK+=" nettle"
+LIST_PACK_SUPPOSED_OK+=" libxft"
+LIST_PACK_SUPPOSED_OK+=" libxcb"
+LIST_PACK_SUPPOSED_OK+=" libxau"
+LIST_PACK_SUPPOSED_OK+=" libx11"
+LIST_PACK_SUPPOSED_OK+=" libpng"
+LIST_PACK_SUPPOSED_OK+=" libogg"
+LIST_PACK_SUPPOSED_OK+=" libidn"
+LIST_PACK_SUPPOSED_OK+=" libffi"
+LIST_PACK_SUPPOSED_OK+=" libelf"
+LIST_PACK_SUPPOSED_OK+=" libcap"
+LIST_PACK_SUPPOSED_OK+=" libbsd"
+LIST_PACK_SUPPOSED_OK+=" indent"
+LIST_PACK_SUPPOSED_OK+=" gnutls"
+LIST_PACK_SUPPOSED_OK+=" c-ares"
+LIST_PACK_SUPPOSED_OK+=" texinfo"
+LIST_PACK_SUPPOSED_OK+=" python2"
+LIST_PACK_SUPPOSED_OK+=" psutils"
+LIST_PACK_SUPPOSED_OK+=" ncurses"
+LIST_PACK_SUPPOSED_OK+=" libxslt"
+LIST_PACK_SUPPOSED_OK+=" libxml2"
+LIST_PACK_SUPPOSED_OK+=" libxext"
+LIST_PACK_SUPPOSED_OK+=" libtool"
+LIST_PACK_SUPPOSED_OK+=" libtiff"
+LIST_PACK_SUPPOSED_OK+=" libssh2"
+LIST_PACK_SUPPOSED_OK+=" libltdl"
+LIST_PACK_SUPPOSED_OK+=" libjpeg"
+LIST_PACK_SUPPOSED_OK+=" libidn2"
+LIST_PACK_SUPPOSED_OK+=" jansson"
+LIST_PACK_SUPPOSED_OK+=" shepherd"
+LIST_PACK_SUPPOSED_OK+=" net-base"
+LIST_PACK_SUPPOSED_OK+=" libxdmcp"
+LIST_PACK_SUPPOSED_OK+=" libtasn1"
+LIST_PACK_SUPPOSED_OK+=" libpaper"
+LIST_PACK_SUPPOSED_OK+=" jemalloc"
+LIST_PACK_SUPPOSED_OK+=" jbig2dec"
+LIST_PACK_SUPPOSED_OK+=" gs-fonts"
+LIST_PACK_SUPPOSED_OK+=" freetype"
+LIST_PACK_SUPPOSED_OK+=" elfutils"
+LIST_PACK_SUPPOSED_OK+=" binutils"
+LIST_PACK_SUPPOSED_OK+=" automake"
+LIST_PACK_SUPPOSED_OK+=" autoconf"
+LIST_PACK_SUPPOSED_OK+=" alsa-lib"
+LIST_PACK_SUPPOSED_OK+=" xorgproto"
+LIST_PACK_SUPPOSED_OK+=" xcb-proto"
+LIST_PACK_SUPPOSED_OK+=" linux-pam"
+LIST_PACK_SUPPOSED_OK+=" libvorbis"
+LIST_PACK_SUPPOSED_OK+=" libgcrypt"
+LIST_PACK_SUPPOSED_OK+=" inetutils"
+LIST_PACK_SUPPOSED_OK+=" findutils"
+LIST_PACK_SUPPOSED_OK+=" e2fsprogs"
+LIST_PACK_SUPPOSED_OK+=" diffutils"
+LIST_PACK_SUPPOSED_OK+=" coreutils"
+LIST_PACK_SUPPOSED_OK+=" util-linux"
+LIST_PACK_SUPPOSED_OK+=" libxrender"
+LIST_PACK_SUPPOSED_OK+=" libsndfile"
+LIST_PACK_SUPPOSED_OK+=" libsigsegv"
+LIST_PACK_SUPPOSED_OK+=" libfontenc"
+LIST_PACK_SUPPOSED_OK+=" guile-json"
+LIST_PACK_SUPPOSED_OK+=" fontconfig"
+LIST_PACK_SUPPOSED_OK+=" util-macros"
+LIST_PACK_SUPPOSED_OK+=" mkfontscale"
+LIST_PACK_SUPPOSED_OK+=" linux-libre"
+LIST_PACK_SUPPOSED_OK+=" ghostscript"
+LIST_PACK_SUPPOSED_OK+=" docbook-xsl"
+LIST_PACK_SUPPOSED_OK+=" docbook-xml"
+LIST_PACK_SUPPOSED_OK+=" bash-static"
+LIST_PACK_SUPPOSED_OK+=" libunistring"
+LIST_PACK_SUPPOSED_OK+=" libgpg-error"
+LIST_PACK_SUPPOSED_OK+=" bash-minimal"
+LIST_PACK_SUPPOSED_OK+=" libsamplerate"
+LIST_PACK_SUPPOSED_OK+=" libatomic-ops"
+LIST_PACK_SUPPOSED_OK+=" e2fsck-static"
+LIST_PACK_SUPPOSED_OK+=" wireless-regdb"
+LIST_PACK_SUPPOSED_OK+=" python-wrapper"
+LIST_PACK_SUPPOSED_OK+=" python-minimal"
+LIST_PACK_SUPPOSED_OK+=" guile-readline"
+LIST_PACK_SUPPOSED_OK+=" guile-gdbm-ffi"
+LIST_PACK_SUPPOSED_OK+=" gettext-minimal"
+LIST_PACK_SUPPOSED_OK+=" libpthread-stubs"
+LIST_PACK_SUPPOSED_OK+=" openfwwf-firmware"
+LIST_PACK_SUPPOSED_OK+=" glibc-utf8-locales"
+LIST_PACK_SUPPOSED_OK+=" ath9k-htc-firmware"
+LIST_PACK_SUPPOSED_OK+=" linux-libre-headers"
+LIST_PACK_SUPPOSED_OK+=" guile-static-stripped"
+LIST_PACK_SUPPOSED_OK+=" python-minimal-wrapper"
+LIST_PACK_SUPPOSED_OK+=" pkg-config"
+LIST_PACK_SUPPOSED_OK+=" libarchive"
+LIST_PACK_SUPPOSED_OK+=" cyrus-sasl"
+LIST_PACK_SUPPOSED_OK+=" tcsh"
+LIST_PACK_SUPPOSED_OK+=" xmlto"
+LIST_PACK_SUPPOSED_OK+=" icu4c" # ?
+LIST_PACK_SUPPOSED_OK+=" mit-krb5" # ok ?
+LIST_PACK_SUPPOSED_OK+=" help2man"
+LIST_PACK_SUPPOSED_OK+=" mkfontdir"
+LIST_PACK_SUPPOSED_OK+=" lvm2"
+LIST_PACK_SUPPOSED_OK+=" eudev"
+LIST_PACK_SUPPOSED_OK+=" procps"
+LIST_PACK_SUPPOSED_OK+=" alsa-utils"
+LIST_PACK_SUPPOSED_OK+=" boost"
+LIST_PACK_SUPPOSED_OK+=" swig"
+LIST_PACK_SUPPOSED_OK+=" doxygen"
+LIST_PACK_SUPPOSED_OK+=" curl"
+LIST_PACK_SUPPOSED_OK+=" nghttp2"
+LIST_PACK_SUPPOSED_OK+=" openldap"
+LIST_PACK_SUPPOSED_OK+=" git-minimal"
+
+
+LIST_PACK_SUPPOSED_KO=""
+
+LIST_PACK_SUPPOSED_KO+=" libnl"
+LIST_PACK_SUPPOSED_KO+=" crda" # depends on libnl
+LIST_PACK_SUPPOSED_KO+=" cmake"
+LIST_PACK_SUPPOSED_KO+=" guile-wm"
+LIST_PACK_SUPPOSED_KO+=" guile-xcb"
+
+count_dependencies()
+{
+    local pack="$1"
+    local depsfile="$DEPENDENCIES_DIR/${pack}.dot"
+    guix graph -t bag-emerged $pack > $depsfile
+    count=$(cat $depsfile | grep "\->" | wc -l)
+    echo $count
+}
+
+build_pack()
+{
+    local pack="$1"
+    local out_file=$(mktemp /tmp/test-guix.XXXXX)
+    local result=0
+
+    ./pre-inst-env guix build --target=aarch64-linux-gnu $pack > $out_file 2>&1
+    result=$?
+
+    if [ $result -eq 0 ]; then
+        rm -f $out_file
+    else
+        mv $out_file ${KO_OUT_LOG_DIR}/${pack}.log
+    fi
+
+    return $result
+}
+
+build_all_in_list()
+{
+    local list_pack="$@"
+    local status=unknown
+
+    for pack in $list_pack; do
+        echo ""
+        echo ""
+        echo "--------------- package $pack ---------------"
+        echo ""
+        build_pack $pack
+        if [ $? -eq 0 ]; then
+            status="OK"
+        else
+            status="KO"
+        fi
+
+        nb_deps="$(count_dependencies $pack)"
+        echo "  package $pack is $status (and has $nb_deps dependencies)"
+        echo ""
+        echo ""
+
+        add_package_status $pack $status $nb_deps
+    done
+}
+
+if [ $# -ge 1 ]; then
+    EXEC_SUPPOSED_OK=0
+    EXEC_SUPPOSED_KO=0
+    while [ $# -ge 1 ]; do
+        case "$1" in
+            "--ok")
+                EXEC_SUPPOSED_OK=1
+                ;;
+            "--ko")
+                EXEC_SUPPOSED_KO=1
+                ;;
+            *)
+                echo "Unknown argument $1"
+                exit 1
+                ;;
+        esac
+        shift
+    done
+else
+    EXEC_SUPPOSED_OK=1
+    EXEC_SUPPOSED_KO=1
+fi
+
+file_header
+
+if [ $EXEC_SUPPOSED_OK -eq 1 ]; then
+    section_header "Supposed OK Packages"
+    build_all_in_list $LIST_PACK_SUPPOSED_OK
+    section_footer
+fi
+
+if [ $EXEC_SUPPOSED_KO -eq 1 ]; then
+    section_header "Supposed KO Packages"
+    build_all_in_list $LIST_PACK_SUPPOSED_KO
+    section_footer
+fi
+
+
diff --git a/deps.scm b/deps.scm
new file mode 100644
index 0000000000..75e8f106fe
--- /dev/null
+++ b/deps.scm
@@ -0,0 +1,184 @@
+(use-modules (guix)
+             (guix scripts build)
+             (gnu)
+             (ice-9 receive))
+
+(define deps
+  '("sudo"
+    "guile-xcb"
+    "guile-wm"
+    "tzdata"
+    "guile-gdbm-ffi"
+    "gzip"
+    "expat"
+    "attr"
+    "gettext-minimal"
+    "m4"
+    "perl"
+    "gmp"
+    "acl"
+    "libcap"
+    "libsigsegv"
+    "pkg-config"
+    "zlib"
+    "libffi"
+    "glibc"
+    "bash-static"
+    "bison"
+    "texinfo"
+    "lzip"
+    "ed"
+    "libatomic-ops"
+    "libltdl"
+    "libunistring"
+    "libgc"
+    "linux-libre-headers"
+    "bzip2"
+    "bash-minimal"
+    "diffutils"
+    "binutils"
+    "findutils"
+    "guile"
+    "sed"
+    "make"
+    "gawk"
+    "xz"
+    "grep"
+    "file"
+    "coreutils"
+    "glibc-utf8-locales"
+    "libpng"
+    "freetype"
+    "libfontenc"
+    "mkfontdir"
+    "mkfontscale"
+    "guile-readline"
+    "lzo"
+    "rhash"
+    "libuv"
+    "libarchive"
+    "cmake"
+    "ath9k-htc-firmware"
+    "openfwwf-firmware"
+    "inetutils"
+    "tcsh"
+    "pcre"
+    "boost"
+    "swig"
+    "libnl"
+    "wireless-regdb"
+    "flac"
+    "libsndfile"
+    "libvorbis"
+    "libogg"
+    "xmlto"
+    "fftw"
+    "alsa-lib"
+    "alsa-utils"
+    "libsamplerate"
+    "lvm2"
+    "fuse"
+    "crda"
+    "which"
+    "help2man"
+    "indent"
+    "flex"
+    "gdbm"
+    "mit-krb5"
+    "openldap"
+    "cyrus-sasl"
+    "curl"
+    "icu4c"
+    "bdb"
+    "libev"
+    "jemalloc"
+    "jansson"
+    "c-ares"
+    "linux-pam"
+    "shishi"
+    "xtrans"
+    "libbsd"
+    "python-minimal-wrapper"
+    "xcb-proto"
+    "python-minimal"
+    "gs-fonts"
+    "fontconfig"
+    "libxrender"
+    "libxft"
+    "tk"
+    "xorgproto"
+    "libpthread-stubs"
+    "util-macros"
+    "libxau"
+    "libxext"
+    "libxcb"
+    "sqlite"
+    "libxdmcp"
+    "libx11"
+    "libpaper"
+    "jbig2dec"
+    "tcl"
+    "libjpeg"
+    "libtiff"
+    "psutils"
+    "ghostscript"
+    "groff"
+    "libgpg-error"
+    "libtasn1"
+    "libssh2"
+    "python2"
+    "gss"
+    "libgcrypt"
+    "nettle"
+    "libidn"
+    "nghttp2"
+    "libidn2"
+    "git-minimal"
+    "gnutls"
+    "guile-json"
+    "unzip"
+    "autoconf"
+    "automake"
+    "docbook-xml"
+    "libtool"
+    "python"
+    "python-wrapper"
+    "libxslt"
+    "libxml2"
+    "docbook-xsl"
+    "gperf"
+    "eudev"
+    "shadow"
+    "bash"
+    "shepherd"
+    "isl"
+    "net-base"
+    "procps"
+    "util-linux"
+    "e2fsprogs"
+    "e2fsck-static"
+    "guile-static-stripped"
+    "libelf"
+    "ncurses"
+    "mpc"
+    "bc"
+    "elfutils"
+    "mpfr"
+    "linux-libre"))
+
+(define store (open-connection))
+
+(define arguments
+  (map (lambda (spec)
+         `(argument . ,spec))
+       deps))
+
+(run-with-store store
+  (mlet %store-monad
+      ((derivations ->
+        ((@@ (guix scripts build) options->derivations)
+         store
+         `((target . "aarch64-linux-gnu")
+           ,@arguments))))
+    (mbegin %store-monad
+      (built-derivations derivations))))
diff --git a/gnu/system/examples/mini-beaglebone.scm b/gnu/system/examples/mini-beaglebone.scm
new file mode 100644
index 0000000000..6ce0ab1b1c
--- /dev/null
+++ b/gnu/system/examples/mini-beaglebone.scm
@@ -0,0 +1,61 @@
+;; This is an operating system configuration template
+;; for a "bare bones" setup, with no X11 display server.
+
+(use-modules (gnu) (gnu bootloader u-boot))
+(use-service-modules networking ssh)
+(use-package-modules bootloaders linux screen)
+
+(operating-system
+  (host-name "komputilo")
+  (timezone "Europe/Berlin")
+  (locale "en_US.utf8")
+
+  ;; Boot in "legacy" BIOS mode, assuming /dev/sdX is the
+  ;; target hard disk, and "my-root" is the label of the target
+  ;; root file system.
+  (bootloader (bootloader-configuration
+               (bootloader u-boot-beaglebone-black-bootloader)
+               (target "/dev/vda")))
+
+  (kernel linux-libre-arm-omap2plus)
+
+  ;; This module is required to mount the SD card.
+  (initrd-modules (cons "omap_hsmmc" %base-initrd-modules))
+
+  (file-systems (cons (file-system
+                        (device (file-system-label "my-root"))
+                        (mount-point "/")
+                        (type "ext4"))
+                      %base-file-systems))
+
+  ;; This is where user accounts are specified.  The "root"
+  ;; account is implicit, and is initially created with the
+  ;; empty password.
+  (users (cons (user-account
+                (name "alice")
+                (comment "Bob's sister")
+                (group "users")
+
+                ;; Adding the account to the "wheel" group
+                ;; makes it a sudoer.  Adding it to "audio"
+                ;; and "video" allows the user to play sound
+                ;; and access the webcam.
+                (supplementary-groups '("wheel"
+                                        "audio" "video")))
+               %base-user-accounts))
+
+  ;; Globally-installed packages.
+  (packages '())
+
+  ;; Add services to the baseline: a DHCP client and
+  ;; an SSH server.
+  (services (list
+             (service udev-service-type
+                      (udev-configuration
+                       (rules (list lvm2 fuse alsa-utils crda))))
+             (agetty-service
+              (agetty-configuration
+               (extra-options '("-L"))
+               (baud-rate "115200")
+               (term "vt100")
+               (tty "ttyO0"))))))
diff --git a/gnu/system/examples/mini.scm b/gnu/system/examples/mini.scm
new file mode 100644
index 0000000000..f7c7b63308
--- /dev/null
+++ b/gnu/system/examples/mini.scm
@@ -0,0 +1,54 @@
+;; This is an operating system configuration template
+;; for a "bare bones" setup, with no X11 display server.
+
+(use-modules (gnu))
+(use-service-modules networking ssh)
+(use-package-modules linux screen)
+
+(define dummy-bootloader
+  (bootloader
+   (inherit grub-bootloader)
+   (installer #f)))
+
+(operating-system
+  (host-name "komputilo")
+  (timezone "Europe/Berlin")
+  (locale "en_US.utf8")
+
+  ;; Boot in "legacy" BIOS mode, assuming /dev/sdX is the
+  ;; target hard disk, and "my-root" is the label of the target
+  ;; root file system.
+  (bootloader (bootloader-configuration
+                (bootloader dummy-bootloader)
+                (target "/dev/sdX")))
+  (file-systems (cons (file-system
+                        (device (file-system-label "my-root"))
+                        (mount-point "/")
+                        (type "ext4"))
+                      %base-file-systems))
+
+  ;; This is where user accounts are specified.  The "root"
+  ;; account is implicit, and is initially created with the
+  ;; empty password.
+  (users (cons (user-account
+                (name "alice")
+                (comment "Bob's sister")
+                (group "users")
+
+                ;; Adding the account to the "wheel" group
+                ;; makes it a sudoer.  Adding it to "audio"
+                ;; and "video" allows the user to play sound
+                ;; and access the webcam.
+                (supplementary-groups '("wheel"
+                                        "audio" "video")))
+               %base-user-accounts))
+
+  ;; Globally-installed packages.
+  (packages '())
+
+  ;; Add services to the baseline: a DHCP client and
+  ;; an SSH server.
+  (services (list
+             (service udev-service-type
+                      (udev-configuration
+                       (rules (list lvm2 fuse alsa-utils crda)))))))
-- 
2.20.1

  parent reply	other threads:[~2019-09-02 15:35 UTC|newest]

Thread overview: 251+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-07-02 15:18 [bug#36477] Add Guix System cross-compilation support Mathieu Othacehe
2019-07-08  9:58 ` [bug#36477] [PATCH 00/31] Fix cross-compilation issues Mathieu Othacehe
2019-07-08  9:58   ` [bug#36477] [PATCH 01/31] gnu: perl: Fix cross-compilation Mathieu Othacehe
2019-07-08 17:39     ` Marius Bakke
2019-07-08  9:58   ` [bug#36477] [PATCH 02/31] gnu: python: Fix cross compilation Mathieu Othacehe
2019-07-15 20:20     ` Ludovic Courtès
2019-07-08  9:58   ` [bug#36477] [PATCH 03/31] gnu: tcl: Fix cross-compilation Mathieu Othacehe
2019-07-08 17:41     ` Marius Bakke
2019-07-08  9:58   ` [bug#36477] [PATCH 04/31] gnu: tk: " Mathieu Othacehe
2019-07-08 17:42     ` Marius Bakke
2019-07-08  9:58   ` [bug#36477] [PATCH 05/31] gnu: libxslt: " Mathieu Othacehe
2019-07-08 17:42     ` Marius Bakke
2019-07-08  9:58   ` [bug#36477] [PATCH 06/31] gnu: xorg: Fix cross-compilation of multiple packages Mathieu Othacehe
2019-07-08 17:43     ` Marius Bakke
2019-07-25 13:12       ` Mathieu Othacehe
2019-07-08  9:58   ` [bug#36477] [PATCH 07/31] gnu: libgpg-error: Fix cross compilation Mathieu Othacehe
2019-07-15 20:24     ` Ludovic Courtès
2019-07-08  9:58   ` [bug#36477] [PATCH 08/31] gnu: python: Fix cross-compilation Mathieu Othacehe
2019-07-15 20:29     ` Ludovic Courtès
2019-07-08  9:58   ` [bug#36477] [PATCH 09/31] gnu: http-parser: " Mathieu Othacehe
2019-07-08 17:46     ` Marius Bakke
2019-07-25 13:25       ` Mathieu Othacehe
2019-07-08  9:58   ` [bug#36477] [PATCH 10/31] gnu: openssl: " Mathieu Othacehe
2019-07-08  9:58   ` [bug#36477] [PATCH 11/31] gnu: texinfo: " Mathieu Othacehe
2019-07-08  9:58   ` [bug#36477] [PATCH 12/31] gnu: cmake: Extend CMAKE_PREFIX_PATH to non-native inputs Mathieu Othacehe
2019-07-08 17:47     ` Marius Bakke
2019-07-25 13:33       ` Mathieu Othacehe
2019-07-08  9:58   ` [bug#36477] [PATCH 13/31] gnu: libgit2: Fix cross compilation Mathieu Othacehe
2019-07-08 17:49     ` Marius Bakke
2019-07-08  9:58   ` [bug#36477] [PATCH 14/31] gnu: ath9k-htc-firmware: " Mathieu Othacehe
2019-07-08 17:50     ` Marius Bakke
2019-07-08  9:58   ` [bug#36477] [PATCH 15/31] gnu: libpaper: Fix aarch64 cross-compilation Mathieu Othacehe
2019-07-08 17:53     ` Marius Bakke
2019-07-09  6:14       ` Efraim Flashner
2019-07-08  9:58   ` [bug#36477] [PATCH 16/31] gnu: groff: Fix cross compilation Mathieu Othacehe
2019-07-08  9:58   ` [bug#36477] [PATCH 17/31] gnu: texinfo-5: Fix cross-compilation Mathieu Othacehe
2019-07-08  9:59   ` [bug#36477] [PATCH 18/31] gnu: bc: " Mathieu Othacehe
2019-07-08  9:59   ` [bug#36477] [PATCH 19/31] gnu: indent: Fix aarch64 cross-compilation Mathieu Othacehe
2019-07-08  9:59   ` [bug#36477] [PATCH 20/31] gnu: libsamplerate: " Mathieu Othacehe
2019-07-08  9:59   ` [bug#36477] [PATCH 21/31] gnu: mit-krb5: Fix cross-compilation Mathieu Othacehe
2019-07-08 18:13     ` Marius Bakke
2019-07-25 13:48       ` Mathieu Othacehe
2019-07-08  9:59   ` [bug#36477] [PATCH 22/31] gnu: cyrus-sasl: " Mathieu Othacehe
2019-07-08  9:59   ` [bug#36477] [PATCH 23/31] gnu: help2man: " Mathieu Othacehe
2019-07-08 18:15     ` Marius Bakke
2019-07-25 14:28       ` Mathieu Othacehe
2019-07-08  9:59   ` [bug#36477] [PATCH 24/31] gnu: xmlto: " Mathieu Othacehe
2019-07-08 18:18     ` Marius Bakke
2019-07-08  9:59   ` [bug#36477] [PATCH 25/31] gnu: libarchive: " Mathieu Othacehe
2019-07-08 18:25     ` Marius Bakke
2019-07-08  9:59   ` [bug#36477] [PATCH 26/31] gnu: tcsh: " Mathieu Othacehe
2019-07-08 18:25     ` Marius Bakke
2019-07-08 18:26     ` Marius Bakke
2019-07-25 15:23       ` Mathieu Othacehe
2019-07-08  9:59   ` [bug#36477] [PATCH 27/31] gnu: pkg-config: " Mathieu Othacehe
2019-07-08 18:29     ` Marius Bakke
2019-07-25 15:27       ` Mathieu Othacehe
2019-07-25 19:04         ` Ricardo Wurmus
2019-07-08  9:59   ` [bug#36477] [PATCH 28/31] gnu: mkfontdir: Fix aarch64 cross-compilation Mathieu Othacehe
2019-07-08  9:59   ` [bug#36477] [PATCH 29/31] gnu: alsa-utils: Fix cross-compilation Mathieu Othacehe
2019-07-08 18:30     ` Marius Bakke
2019-07-08  9:59   ` [bug#36477] [PATCH 30/31] gnu: icu4c: " Mathieu Othacehe
2019-07-08  9:59   ` [bug#36477] [PATCH 31/31] gnu: glibc-utf8-locales: " Mathieu Othacehe
2019-07-08 18:37     ` Marius Bakke
2019-07-29 14:54       ` Mathieu Othacehe
2019-07-08 17:36   ` [bug#36477] [PATCH 00/31] Fix cross-compilation issues Marius Bakke
2019-07-25 13:10     ` Mathieu Othacehe
2019-08-21  8:47 ` [bug#36477] [PATCH v2 00/61] Add --target support to guix system Mathieu Othacehe
2019-09-02 12:50   ` Ludovic Courtès
2019-09-02 15:40     ` Mathieu Othacehe
2019-08-21  8:53 ` [bug#36477] [PATCH v2 01/61] gnu: perl: Fix cross-compilation Mathieu Othacehe
2019-08-21  8:53   ` [bug#36477] [PATCH v2 02/61] gnu: python: Fix cross compilation Mathieu Othacehe
2019-08-21  8:53   ` [bug#36477] [PATCH v2 03/61] gnu: tcl: Fix cross-compilation Mathieu Othacehe
2019-08-21  8:53   ` [bug#36477] [PATCH v2 04/61] gnu: tk: " Mathieu Othacehe
2019-08-21  8:53   ` [bug#36477] [PATCH v2 05/61] gnu: libxslt: " Mathieu Othacehe
2019-08-21  8:54   ` [bug#36477] [PATCH v2 06/61] gnu: xorg: Fix cross-compilation of multiple packages Mathieu Othacehe
2019-08-21  8:54   ` [bug#36477] [PATCH v2 07/61] gnu: libgpg-error: Fix cross compilation Mathieu Othacehe
2019-08-21  8:54   ` [bug#36477] [PATCH v2 08/61] gnu: python: Further cross-compilation fixes Mathieu Othacehe
2019-08-21  8:54   ` [bug#36477] [PATCH v2 09/61] gnu: http-parser: Fix cross-compilation Mathieu Othacehe
2019-08-21  8:54   ` [bug#36477] [PATCH v2 10/61] gnu: openssl: " Mathieu Othacehe
2019-08-21  8:54   ` [bug#36477] [PATCH v2 11/61] gnu: texinfo: " Mathieu Othacehe
2019-08-21  8:54   ` [bug#36477] [PATCH v2 12/61] gnu: cmake: " Mathieu Othacehe
2019-08-21  8:54   ` [bug#36477] [PATCH v2 13/61] gnu: libgit2: Fix cross compilation Mathieu Othacehe
2019-08-21  8:54   ` [bug#36477] [PATCH v2 14/61] gnu: ath9k-htc-firmware: " Mathieu Othacehe
2019-08-21  8:54   ` [bug#36477] [PATCH v2 15/61] gnu: libpaper: Fix aarch64 cross-compilation Mathieu Othacehe
2019-08-21  8:54   ` [bug#36477] [PATCH v2 16/61] gnu: groff: Fix cross compilation Mathieu Othacehe
2019-08-21  8:54   ` [bug#36477] [PATCH v2 17/61] gnu: texinfo-5: Fix cross-compilation Mathieu Othacehe
2019-08-21  8:54   ` [bug#36477] [PATCH v2 18/61] gnu: bc: " Mathieu Othacehe
2019-08-21  8:54   ` [bug#36477] [PATCH v2 19/61] gnu: indent: Fix aarch64 cross-compilation Mathieu Othacehe
2019-08-21  8:54   ` [bug#36477] [PATCH v2 20/61] gnu: libsamplerate: " Mathieu Othacehe
2019-08-21  8:54   ` [bug#36477] [PATCH v2 21/61] gnu: mit-krb5: Fix cross-compilation Mathieu Othacehe
2019-08-21  8:54   ` [bug#36477] [PATCH v2 22/61] gnu: cyrus-sasl: " Mathieu Othacehe
2019-08-21  8:54   ` [bug#36477] [PATCH v2 23/61] gnu: help2man: " Mathieu Othacehe
2019-08-21  8:54   ` [bug#36477] [PATCH v2 24/61] gnu: xmlto: " Mathieu Othacehe
2019-08-21  8:54   ` [bug#36477] [PATCH v2 25/61] gnu: libarchive: " Mathieu Othacehe
2019-08-21  8:54   ` [bug#36477] [PATCH v2 26/61] gnu: tcsh: " Mathieu Othacehe
2019-08-21  8:54   ` [bug#36477] [PATCH v2 27/61] gnu: pkg-config: " Mathieu Othacehe
2019-08-21  8:54   ` [bug#36477] [PATCH v2 28/61] gnu: mkfontdir: Fix aarch64 cross-compilation Mathieu Othacehe
2019-08-21  8:54   ` [bug#36477] [PATCH v2 29/61] gnu: alsa-utils: Fix cross-compilation Mathieu Othacehe
2019-08-21  8:54   ` [bug#36477] [PATCH v2 30/61] gnu: icu4c: " Mathieu Othacehe
2019-08-21  8:54   ` [bug#36477] [PATCH v2 31/61] gnu: glibc-utf8-locales: " Mathieu Othacehe
2019-08-21  8:54   ` [bug#36477] [PATCH v2 32/61] gnu: boost: " Mathieu Othacehe
2019-08-21  8:54   ` [bug#36477] [PATCH v2 33/61] gnu: eudev: " Mathieu Othacehe
2019-08-21  8:54   ` [bug#36477] [PATCH v2 34/61] gnu: lvm2: " Mathieu Othacehe
2019-08-21  8:54   ` [bug#36477] [PATCH v2 35/61] gnu: nghttp2: " Mathieu Othacehe
2019-08-21  8:54   ` [bug#36477] [PATCH v2 36/61] gnu: openldap: " Mathieu Othacehe
2019-08-21  8:54   ` [bug#36477] [PATCH v2 37/61] gnu: swig: " Mathieu Othacehe
2019-08-21  8:54   ` [bug#36477] [PATCH v2 38/61] gnu: git: " Mathieu Othacehe
2019-08-21  8:54   ` [bug#36477] [PATCH v2 39/61] gnu: make-linux-libre: " Mathieu Othacehe
2019-08-21  8:54   ` [bug#36477] [PATCH v2 40/61] gnu: procps: " Mathieu Othacehe
2019-08-21  8:54   ` [bug#36477] [PATCH v2 41/61] gnu: doxygen: " Mathieu Othacehe
2019-08-21  8:54   ` [bug#36477] [PATCH v2 42/61] gnu: guile-sqlite3: " Mathieu Othacehe
2019-08-21  8:54   ` [bug#36477] [PATCH v2 43/61] gnu: guile-gcrypt: " Mathieu Othacehe
2019-08-21  8:54   ` [bug#36477] [PATCH v2 44/61] gnu: libtool: " Mathieu Othacehe
2019-08-21  8:54   ` [bug#36477] [PATCH v2 45/61] gnu: texinfo-4: Fix cross compilation Mathieu Othacehe
2019-08-21  8:54   ` [bug#36477] [PATCH v2 46/61] gnu: libnl: Fix cross-compilation Mathieu Othacehe
2019-08-21  8:54   ` [bug#36477] [PATCH v2 47/61] gnu: crda: " Mathieu Othacehe
2019-08-21  8:54   ` [bug#36477] [PATCH v2 48/61] gnu: guile-xcb: " Mathieu Othacehe
2019-08-21  8:54   ` [bug#36477] [PATCH v2 49/61] gnu: guile-wm: " Mathieu Othacehe
2019-08-21  8:54   ` [bug#36477] [PATCH v2 50/61] gnu: cmake: " Mathieu Othacehe
2019-08-21  8:54   ` [bug#36477] [PATCH v2 51/61] gnu: console-setup: " Mathieu Othacehe
2019-08-21  8:54   ` [bug#36477] [PATCH v2 52/61] gnu: mdadm: " Mathieu Othacehe
2019-08-21  8:54   ` [bug#36477] [PATCH v2 53/61] gnu: grub: " Mathieu Othacehe
2019-08-21  8:54   ` [bug#36477] [PATCH v2 54/61] linux-initrd: Use native gzip Mathieu Othacehe
2019-08-21  8:54   ` [bug#36477] [PATCH v2 55/61] gnu: linux-libre: Enable built-in ext4 support Mathieu Othacehe
2019-08-21  8:54   ` [bug#36477] [PATCH v2 56/61] gexp: Use cross extensions when cross-compiling Mathieu Othacehe
2019-08-21  8:54   ` [bug#36477] [PATCH v2 57/61] gexp: Pass target to compiled-modules in lower-gexp Mathieu Othacehe
2019-08-21  8:54   ` [bug#36477] [PATCH v2 58/61] utils: Use target-arm64? and target-arm? helpers Mathieu Othacehe
2019-08-21  8:54   ` [bug#36477] [PATCH v2 59/61] system: vm: Add arm64 support Mathieu Othacehe
2019-08-21  8:54   ` [bug#36477] [PATCH v2 60/61] system: vm: Support cross-compilation Mathieu Othacehe
2019-08-21  8:54   ` [bug#36477] [PATCH v2 61/61] scripts: system: Add --target option Mathieu Othacehe
2019-09-02 15:32 ` [bug#36477] [PATCH v3 00/48] Add --target support to guix system Mathieu Othacehe
2019-09-02 15:32   ` [bug#36477] [PATCH v3 01/48] gnu: libgpg-error: Fix cross compilation Mathieu Othacehe
2019-09-02 15:32   ` [bug#36477] [PATCH v3 02/48] gnu: openssl: Fix cross-compilation Mathieu Othacehe
2019-09-02 15:32   ` [bug#36477] [PATCH v3 03/48] gnu: texinfo: " Mathieu Othacehe
2019-09-04 12:54     ` Ludovic Courtès
2019-09-04 16:28       ` Mathieu Othacehe
2019-09-04 17:50         ` Commit 210b6412ee "gnu: texinfo: Fix cross-compilation" rebuilds the world Pierre Neidhardt
2019-09-04 21:50           ` Ricardo Wurmus
2019-09-04 21:21         ` [bug#36477] [PATCH v3 03/48] gnu: texinfo: Fix cross-compilation Marius Bakke
2019-09-04 21:21           ` Marius Bakke
2019-09-05  7:45           ` Pierre Neidhardt
2019-09-05  7:53           ` Mathieu Othacehe
2019-09-05  7:53             ` Mathieu Othacehe
2019-09-05  8:47         ` Ludovic Courtès
2019-09-02 15:32   ` [bug#36477] [PATCH v3 04/48] gnu: cmake: " Mathieu Othacehe
2019-09-04 13:00     ` Ludovic Courtès
2019-09-20 14:18       ` Mathieu Othacehe
2019-09-02 15:32   ` [bug#36477] [PATCH v3 05/48] gnu: libpaper: Fix aarch64 cross-compilation Mathieu Othacehe
2019-09-02 15:32   ` [bug#36477] [PATCH v3 06/48] gnu: groff: Fix cross compilation Mathieu Othacehe
2019-09-04 13:23     ` Ludovic Courtès
2019-09-02 15:32   ` [bug#36477] [PATCH v3 07/48] gnu: texinfo-5: Fix cross-compilation Mathieu Othacehe
2019-09-02 15:32   ` [bug#36477] [PATCH v3 08/48] gnu: bc: " Mathieu Othacehe
2019-09-02 15:32   ` [bug#36477] [PATCH v3 09/48] gnu: indent: Fix aarch64 cross-compilation Mathieu Othacehe
2019-09-02 15:32   ` [bug#36477] [PATCH v3 10/48] gnu: libsamplerate: " Mathieu Othacehe
2019-09-02 15:32   ` [bug#36477] [PATCH v3 11/48] gnu: cyrus-sasl: Fix cross-compilation Mathieu Othacehe
2019-09-02 15:32   ` [bug#36477] [PATCH v3 12/48] gnu: mkfontdir: Fix aarch64 cross-compilation Mathieu Othacehe
2019-09-02 15:32   ` [bug#36477] [PATCH v3 13/48] gnu: icu4c: Fix cross-compilation Mathieu Othacehe
2019-09-02 15:32   ` [bug#36477] [PATCH v3 14/48] gnu: glibc-utf8-locales: " Mathieu Othacehe
2019-09-04 13:01     ` Ludovic Courtès
2019-09-02 15:33   ` [bug#36477] [PATCH v3 15/48] gnu: boost: " Mathieu Othacehe
2019-09-02 15:33   ` [bug#36477] [PATCH v3 16/48] gnu: eudev: " Mathieu Othacehe
2019-09-04 13:12     ` Ludovic Courtès
2019-10-02  9:38       ` Mathieu Othacehe
2019-09-02 15:33   ` [bug#36477] [PATCH v3 17/48] gnu: lvm2: " Mathieu Othacehe
2019-09-02 15:33   ` [bug#36477] [PATCH v3 18/48] gnu: nghttp2: " Mathieu Othacehe
2019-09-02 15:33   ` [bug#36477] [PATCH v3 19/48] gnu: bdb: " Mathieu Othacehe
2019-09-02 15:33   ` [bug#36477] [PATCH v3 20/48] gnu: openldap: " Mathieu Othacehe
2019-09-02 15:33   ` [bug#36477] [PATCH v3 21/48] gnu: swig: " Mathieu Othacehe
2019-09-02 15:33   ` [bug#36477] [PATCH v3 22/48] gnu: git: " Mathieu Othacehe
2019-09-02 15:33   ` [bug#36477] [PATCH v3 23/48] gnu: make-linux-libre: " Mathieu Othacehe
2019-09-04 12:52     ` Ludovic Courtès
2019-09-02 15:33   ` [bug#36477] [PATCH v3 24/48] gnu: procps: " Mathieu Othacehe
2019-09-02 15:33   ` [bug#36477] [PATCH v3 25/48] gnu: doxygen: " Mathieu Othacehe
2019-09-02 15:33   ` [bug#36477] [PATCH v3 26/48] gnu: guile-sqlite3: " Mathieu Othacehe
2019-09-02 15:33   ` [bug#36477] [PATCH v3 27/48] gnu: guile-gcrypt: " Mathieu Othacehe
2019-09-02 15:33   ` [bug#36477] [PATCH v3 28/48] gnu: libtool: " Mathieu Othacehe
2019-09-02 15:33   ` [bug#36477] [PATCH v3 29/48] gnu: texinfo-4: Fix cross compilation Mathieu Othacehe
2019-09-02 15:33   ` [bug#36477] [PATCH v3 30/48] packages: Set outputs field as thunked Mathieu Othacehe
2019-09-04 12:48     ` Ludovic Courtès
2019-09-04 16:01       ` Mathieu Othacehe
2019-09-05  8:41         ` Ludovic Courtès
2019-09-02 15:33   ` [bug#36477] [PATCH v3 31/48] gnu: libnl: Fix cross-compilation Mathieu Othacehe
2019-09-02 15:33   ` [bug#36477] [PATCH v3 32/48] gnu: crda: " Mathieu Othacehe
2019-09-02 15:33   ` [bug#36477] [PATCH v3 33/48] gnu: guile-xcb: " Mathieu Othacehe
2019-09-02 15:33   ` [bug#36477] [PATCH v3 34/48] gnu: guile-wm: " Mathieu Othacehe
2019-09-04 12:50     ` Ludovic Courtès
2019-09-02 15:33   ` [bug#36477] [PATCH v3 35/48] gnu: cmake: " Mathieu Othacehe
2019-09-02 15:33   ` [bug#36477] [PATCH v3 36/48] gnu: console-setup: " Mathieu Othacehe
2019-09-02 15:33   ` [bug#36477] [PATCH v3 37/48] gnu: mdadm: " Mathieu Othacehe
2019-09-02 15:33   ` [bug#36477] [PATCH v3 38/48] gnu: grub: " Mathieu Othacehe
2019-09-04 13:13     ` Ludovic Courtès
2019-09-02 15:33   ` [bug#36477] [PATCH v3 39/48] linux-initrd: Use native gzip Mathieu Othacehe
2019-09-04 12:49     ` Ludovic Courtès
2019-09-02 15:33   ` [bug#36477] [PATCH v3 40/48] gnu: linux-libre: Enable built-in ext4 support Mathieu Othacehe
2019-09-04 13:14     ` Ludovic Courtès
2019-09-04 16:17       ` Mathieu Othacehe
2019-09-05  8:45         ` Ludovic Courtès
2019-09-02 15:33   ` [bug#36477] [PATCH v3 41/48] gexp: Use cross extensions when cross-compiling Mathieu Othacehe
2019-09-02 15:33   ` [bug#36477] [PATCH v3 42/48] gexp: Pass target to compiled-modules in lower-gexp Mathieu Othacehe
2019-09-04 12:31     ` Ludovic Courtès
2019-10-02  9:23       ` Mathieu Othacehe
2019-10-11 10:22         ` Ludovic Courtès
2019-09-02 15:33   ` [bug#36477] [PATCH v3 43/48] utils: Use target-arm64? and target-arm? helpers Mathieu Othacehe
2019-09-04 12:32     ` Ludovic Courtès
2019-10-02  9:25       ` Mathieu Othacehe
2019-09-02 15:33   ` [bug#36477] [PATCH v3 44/48] build: vm: Fix arm32 support Mathieu Othacehe
2019-09-04 12:33     ` Ludovic Courtès
2019-09-02 15:33   ` [bug#36477] [PATCH v3 45/48] system: vm: Add arm64 support Mathieu Othacehe
2019-09-04 12:36     ` Ludovic Courtès
2019-09-02 15:33   ` [bug#36477] [PATCH v3 46/48] system: vm: Support cross-compilation Mathieu Othacehe
2019-09-04 12:46     ` Ludovic Courtès
2019-10-02  9:30       ` Mathieu Othacehe
2019-09-02 15:33   ` [bug#36477] [PATCH v3 47/48] scripts: system: Add --target option Mathieu Othacehe
2019-09-04 12:47     ` Ludovic Courtès
2019-09-02 15:33   ` Mathieu Othacehe [this message]
2019-09-02 15:35     ` [bug#36477] [PATCH v3 48/48] wip: tools Mathieu Othacehe
2019-10-02  9:58 ` [bug#36477] [PATCH v4 00/23] System cross-compilation Mathieu Othacehe
2019-10-02  9:58   ` [bug#36477] [PATCH v4 01/23] gnu: openssl: Fix cross-compilation Mathieu Othacehe
2019-10-02 10:17     ` Efraim Flashner
2019-10-02 13:12       ` Mathieu Othacehe
2019-10-02  9:58   ` [bug#36477] [PATCH v4 02/23] gnu: cmake: " Mathieu Othacehe
2019-10-02  9:58   ` [bug#36477] [PATCH v4 03/23] gnu: groff: Fix cross compilation Mathieu Othacehe
2019-10-02  9:58   ` [bug#36477] [PATCH v4 04/23] gnu: cyrus-sasl: Fix cross-compilation Mathieu Othacehe
2019-10-02  9:58   ` [bug#36477] [PATCH v4 05/23] gnu: icu4c: " Mathieu Othacehe
2019-10-02  9:58   ` [bug#36477] [PATCH v4 06/23] gnu: boost: " Mathieu Othacehe
2019-10-02  9:58   ` [bug#36477] [PATCH v4 07/23] gnu: eudev: " Mathieu Othacehe
2019-10-02  9:58   ` [bug#36477] [PATCH v4 08/23] gnu: bdb: " Mathieu Othacehe
2019-10-02  9:58   ` [bug#36477] [PATCH v4 09/23] gnu: openldap: " Mathieu Othacehe
2019-10-02  9:58   ` [bug#36477] [PATCH v4 10/23] gnu: swig: " Mathieu Othacehe
2019-10-02  9:58   ` [bug#36477] [PATCH v4 11/23] gnu: git: " Mathieu Othacehe
2019-10-02  9:58   ` [bug#36477] [PATCH v4 12/23] gnu: doxygen: " Mathieu Othacehe
2019-10-02  9:58   ` [bug#36477] [PATCH v4 13/23] gnu: guile-gcrypt: " Mathieu Othacehe
2019-10-02  9:58   ` [bug#36477] [PATCH v4 14/23] gnu: guile-sqlite3: " Mathieu Othacehe
2019-10-02  9:58   ` [bug#36477] [PATCH v4 15/23] gnu: libnl: Move python outputs to separate packages Mathieu Othacehe
2019-10-02  9:58   ` [bug#36477] [PATCH v4 16/23] gnu: crda: Fix cross-compilation Mathieu Othacehe
2019-10-02  9:58   ` [bug#36477] [PATCH v4 17/23] gnu: cmake: " Mathieu Othacehe
2019-10-02  9:58   ` [bug#36477] [PATCH v4 18/23] gexp: Use cross extensions when cross-compiling Mathieu Othacehe
2019-10-02 14:47     ` Mathieu Othacehe
2019-10-11 10:21       ` Ludovic Courtès
2019-10-11 10:22       ` Ludovic Courtès
2019-10-14  8:00         ` Mathieu Othacehe
2019-10-02  9:59   ` [bug#36477] [PATCH v4 19/23] utils: Use target-aarch64? and target-arm? helpers Mathieu Othacehe
2019-10-02  9:59   ` [bug#36477] [PATCH v4 20/23] build: vm: Fix arm32 support Mathieu Othacehe
2019-10-02  9:59   ` [bug#36477] [PATCH v4 21/23] system: vm: Add arm64 support Mathieu Othacehe
2019-10-02  9:59   ` [bug#36477] [PATCH v4 22/23] system: vm: Support cross-compilation Mathieu Othacehe
2019-10-02  9:59   ` [bug#36477] [PATCH v4 23/23] scripts: system: Add --target option Mathieu Othacehe
2019-10-18 12:17   ` [bug#36477] [PATCH v4 00/23] System cross-compilation Mathieu Othacehe
  -- strict thread matches above, loose matches on Subject: below --
2019-11-15 16:39 Closing guix system --target support Mathieu Othacehe
2019-11-15 16:39 ` bug#36477: " Mathieu Othacehe
2019-11-17 20:45 ` Ludovic Courtès

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20190902153333.11190-49-m.othacehe@gmail.com \
    --to=m.othacehe@gmail.com \
    --cc=36477@debbugs.gnu.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
Code repositories for project(s) associated with this external index

	https://git.savannah.gnu.org/cgit/guix.git

This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.